VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 1  'Persistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsTGAImport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Implements hwseCore.hwsePlugin

Private objHost As hwseCore.IHostInterface
Private registry As hwseCore.clsPluginRegistry
'Public myShip As clsHwShip

Private Sub Class_Initialize()
  Set registry = New hwseCore.clsPluginRegistry
  registry.pluginEXEname = App.Title
End Sub

Private Sub Class_Terminate()
  Set registry = Nothing
  Set objHost = Nothing
End Sub

Private Property Get hwsePlugin_PluginInfo() As hwseCore.pluginInfoType
  With hwsePlugin_PluginInfo
    .name = "Image Import Plugin"
    .Author = "Delphy"
    .pluginType = importTexturePlugin
    .fileExtension = ".tga;*.jpg;*.bmp"
    .FileDescription = "Multiple Image Formats (*.tga, *.jpg, *.bmp)"
  End With
End Property

Private Function hwsePlugin_InitPlugin(objHostInterface As hwseCore.IHostInterface) As Boolean
  Set objHost = objHostInterface
  
  hwsePlugin_InitPlugin = True
  objHost.DisplayText "Init complete"
End Function

Public Function hwsePlugin_import(Filename As String) As clsShip
End Function
Public Sub hwsePlugin_export(ship As clsShip, Filename As String)
End Sub

Public Sub hwsePlugin_ShowConfigure()
  'objHost.DisplayText registry.writeRegKey(App.EXEName & ".Test", "This is a test")
  frmConfigure.Show vbModal
  
  If frmConfigure.isCancel = False Then
    objHost.DisplayText "Save pressed!"
  End If
  
End Sub

Public Function hwsePlugin_loadTexture(Filename As String, d3ddevice As Direct3DRM3) As Direct3DRMTexture3
  objHost.DisplayText "Loading texture " & Filename
  Set hwsePlugin_loadTexture = LoadImageFile(Filename, objHost, d3ddevice)
End Function

Public Function hwsePlugin_loadTextureDX8(Filename As String, textureRef As clsShipTextureInfo, device As Direct3DDevice8) As Direct3DTexture8
End Function

