VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsShipMeshExtension"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Enum tagMexType
  meshBoundingBox = 1
  meshBoundingSphere = 2
  meshDockingPath = 3
  meshEngineBurn = 4
  meshHardpoint = 5
  meshGunpoint = 6
End Enum

Public mexType As tagMexType
Public objectId As Long

Private zPoints() As clsShipMeshExtensionPoint
Private numPoints As Long

Public Sub AddPoint(i As Integer)
  numPoints = numPoints + 1
  ReDim Preserve zPoints(i)
  Set zPoints(i) = New clsShipMeshExtensionPoint
End Sub

Public Property Get point(i As Integer) As clsShipMeshExtensionPoint
  If i > numPoints Then Exit Property
  Set point = zPoints(i)
End Property

Public Function Count() As Long
  Count = numPoints
End Function

Private Sub Class_Terminate()
  Erase zPoints
End Sub
