Attribute VB_Name = "modHOD"
Option Explicit


Public Type tagVERS
    sFORM As String * 4 ' FORM
    nVERSLength As Long
    sVERS As String * 4 ' VERS
    nVERS As Long
End Type

Public Type tagNAME
    sFORM As String * 4 ' FORM
    nNameLength As Long
    sName As String * 4 ' NAME
    sNAMEFileType As String
End Type

Public Type tagNRMLSTAT
    sNRML As String * 4 ' NRML
    nSTATLength As Long
    sSTAT As String * 4 ' STAT
    sSTATdata As String
End Type

Public Type tagLMIP
    sLMIP As String * 4 ' LMIP
    nLMIPLength As Long
    nLMIPNameLength As Long
    sLMIPName As String
    sDXT5 As String * 4 ' DXT5
    nNumMipLevels As Long
    nWidth As Long
    nHeight As Long
    dImage() As Byte ' actual image data
    sDDSName As String
    sDDSLongName As String
    nLMIPNameSequence As Integer ' stores the number from the [x] part of the file name
    nLMIPNameGroup As Integer ' texture group it belongs to
End Type

Public Type tagLMIPGroup
    sGroupName As String
    sGroupFileName As String
    nLMIPNameSequence As Integer
End Type

Public Type tagXYZ
    X As Single
    Y As Single
    Z As Single
End Type

Public Type tagVNT
    V As tagXYZ
    I1 As Single
    VN As tagXYZ
    I2 As Single
    S As Single
    T As Single
End Type

Public Type tagPOLY
    Index(1 To 3) As Integer
End Type

Public Type tagNRMLBMSH
    sNRML As String * 4 ' NRML
    nNRMLLength As Long
    sBMSH As String * 4 ' BMSH
    nBMSHLength As Long
    nLoD As Long
    nObjectTextureGroups As Long
    nTextureIndex As Long
    nUnknown1 As Long
    nNumVNT As Long
    VNT() As tagVNT
    nUnknown2 As Integer
    nUnknown3 As Integer
    nUnknown4 As Integer
    nNumIndexes As Long
    POLY() As tagPOLY
End Type

Public Type tagNRMLMULT
    sNRML As String * 4 ' NRML
    nNRMLLength As Long
    sMULT As String * 4 ' MULT
    nMULTLength As Long
    nMULTNameLength As Long
    sMULTName As String
    nNameLength As Long
    sName As String
    nNumNRMLBMSH As Long
    NRMLBMSH() As tagNRMLBMSH
End Type

Public Type tagNRMLGOBG
    sNRML As String * 4 ' NRML
    nNRMLLength As Long
    sGOBG As String * 4 ' GOBG
    nGOBGLength As Long
    nGOBGNameLength As Long
    sGOBGName As String
    nNameLength As Long
    sName As String
    NRMLBMSH As tagNRMLBMSH
End Type

Public Type tagHVMD
    sFORM As String * 4 ' FORM
    nHVMDLength As Long
    sHVMD As String * 4 ' HVMD
    NRMLSTAT() As tagNRMLSTAT
    LMIP() As tagLMIP
    NRMLMULT() As tagNRMLMULT
    NRMLGOBG() As tagNRMLGOBG
End Type

Public Type tagHIER
    nNameLength As Long
    sName As String
    nParentLength As Long
    sParent As String
    oOffset As tagXYZ
    oRotation As tagXYZ
    nLocalMatrix(1 To 6) As Single
    dData(1 To 3) As Byte
End Type

Public Type tagETSH
    sETSH As String * 4 ' ETSH
    nETSHLength As Long
    nNameLength As Long
    sName As String
    nParentLength As Long
    sParent As String
    nNumCoords As Long
    Coords() As tagXYZ
End Type

Public Type tagBURN
    sBURN As String * 4 ' BURN
    nBURNLength As Long
    nNameLength As Long
    sName As String
    nParentLength As Long
    sParent As String
    nNumCoords As Long
    nUnknown1 As Long
    Coords() As tagXYZ
End Type

Public Type tagDTRM
    sFORM As String * 4 ' FORM
    nDTRMLength As Long
    sDTRM As String * 4 ' DTRM
    sHIER As String * 4 ' HIER
    nHIERLength As Long
    nNumHIER As Long
    HIER() As tagHIER
    ETSH() As tagETSH
    BURN() As tagBURN
End Type

Public Type tagHODFile
    VERS As tagVERS
    NAME As tagNAME
    HVMD As tagHVMD
    DTRM As tagDTRM
End Type
