VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmHeirachy 
   Caption         =   "Object Heirachy"
   ClientHeight    =   5385
   ClientLeft      =   60
   ClientTop       =   630
   ClientWidth     =   2955
   Icon            =   "frmHeirachy.frx":0000
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   5385
   ScaleWidth      =   2955
   Begin MSComctlLib.StatusBar StatusBar1 
      Align           =   2  'Align Bottom
      Height          =   315
      Left            =   0
      TabIndex        =   1
      Top             =   5070
      Width           =   2955
      _ExtentX        =   5212
      _ExtentY        =   556
      Style           =   1
      _Version        =   393216
      BeginProperty Panels {8E3867A5-8586-11D1-B16A-00C0F0283628} 
         NumPanels       =   1
         BeginProperty Panel1 {8E3867AB-8586-11D1-B16A-00C0F0283628} 
         EndProperty
      EndProperty
   End
   Begin MSComctlLib.TreeView treeHeirachy 
      Height          =   3195
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   2895
      _ExtentX        =   5106
      _ExtentY        =   5636
      _Version        =   393217
      HideSelection   =   0   'False
      Style           =   7
      Checkboxes      =   -1  'True
      FullRowSelect   =   -1  'True
      Appearance      =   1
   End
   Begin VB.Menu mnuHeirachy 
      Caption         =   "heirachyMenu"
      Begin VB.Menu mnuAddBoundingBox 
         Caption         =   "Add Bounding Box"
      End
   End
End
Attribute VB_Name = "frmHeirachy"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private nodX As Node
Private Drag_Timer As Single
Private indrag As Boolean

Private Sub Form_Activate()
  frmObjectInfo.Show
End Sub

Private Sub Form_Load()
  Me.Left = GetSetting(App.Title, "Settings", Me.name & "Left", 1000)
  Me.Top = GetSetting(App.Title, "Settings", Me.name & "Top", 1000)
  Me.Width = GetSetting(App.Title, "Settings", Me.name & "Width", 5070)
  Me.Height = GetSetting(App.Title, "Settings", Me.name & "Height", 2505)
  
  treeHeirachy.LineStyle = tvwRootLines
  treeHeirachy.Style = tvwTreelinesPlusMinusText
  treeHeirachy.Checkboxes = True
  treeHeirachy.Indentation = 80
  
  Me.Hide
  frmObjectInfo.Hide
  Debug.Print "Heirachy Form Loading...."
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
  If UnloadMode = 0 Then
    Cancel = 1
    frmMain.mnuWindowShow(2).Checked = False
    frmObjectInfo.Hide
    Me.Hide
  End If
End Sub

Private Sub Form_Resize()
  If Me.WindowState <> vbMinimized Then
    treeHeirachy.Height = Me.Height - StatusBar1.Height - 350
    treeHeirachy.Width = Me.Width
  End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    SaveSetting App.Title, "Settings", Me.name & "Left", Me.Left
    SaveSetting App.Title, "Settings", Me.name & "Top", Me.Top
    SaveSetting App.Title, "Settings", Me.name & "Width", Me.Width
    SaveSetting App.Title, "Settings", Me.name & "Height", Me.Height
End Sub

Public Sub createHeirachy()

  objHost.DisplayText String(80, "-") & "TreeView Heirachy"

  treeHeirachy.Visible = False

  ' Okay so first add in all the objects to the treeview
  ' for later reshuffling
  Dim i As Integer
  For i = 1 To ship.objects.Count
    objHost.DisplayText ship.objects(i).oName
    If ship.objects(i).Parent.Value = 0 Then
      'objHost.DisplayText "  Adding as root"
      treeHeirachy.Nodes.Add , tvwFirst, "o" & i, ship.objects(i).oName
    Else
      'objHost.DisplayText "  Adding as child"
      treeHeirachy.Nodes.Add "o1", tvwChild, "o" & i, ship.objects(i).oName
    End If
    DoEvents
  Next

  ' Now, iterate through the list, and reset the MDS
  ' status, effectively creating the correct heirachy
  Dim myNode As Node
  For i = ship.objects.Count To 1 Step -1
    'objHost.DisplayText i & " Checking parent of " & ship.objects(i).oName
    
    Set myNode = treeHeirachy.Nodes(i)
    myNode.Tag = CStr(ship.objects(i).objType)
    Select Case myNode.Tag
    Case 1: myNode.Bold = True
    Case 2: myNode.ForeColor = RGB(85, 85, 85)
    Case Else: myNode.ForeColor = RGB(160, 160, 160)
    End Select
    
    ' If it's not the root object...
    If ship.objects(i).Parent.Value > 0 Then
      Set myNode.Parent = treeHeirachy.Nodes(ship.objects(i).Parent.Value)
      'objHost.DisplayText i & "  Setting parent to: " & ship.objects(i).Parent.Value & " - " & ship.objects(ship.objects(i).Parent.Value).oName
    End If
    DoEvents
  Next i

  ' And finally expand the whole list
  For Each myNode In treeHeirachy.Nodes
    myNode.Expanded = True
    myNode.Checked = True
  Next

  treeHeirachy.Visible = True

End Sub

Public Sub Clear()
  treeHeirachy.Nodes.Clear
End Sub

Private Sub mnuAddBoundingBox_Click()
  ' First we get the selected objects dimensions.
  ' If we selected the root object, then use all objects instead
  If treeHeirachy.SelectedItem.Key = "o1" Then
    ' Root - do all
    
  Else
    ' Child
  End If
  
End Sub

Private Sub treeHeirachy_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)

  If Button = 2 Then
    ' Right mouse button
    PopupMenu mnuHeirachy
  End If

End Sub

Private Sub treeHeirachy_NodeCheck(ByVal Node As MSComctlLib.Node)
  ' Get object id from node information
  Dim nKey As Integer
  nKey = Int(CLng(Mid$(Node.Key, 2)))

  If Node.Tag = 0 Then Exit Sub

  If Node.Tag = 1 Then
    frmRenderOld.hwse3d.visibleObject nKey, Node.Checked
  Else
    frmRenderOld.hwse3d.visibleMex nKey, Node.Checked
  End If
  Node.Checked = Not Node.Checked

End Sub

Private Sub treeHeirachy_NodeClick(ByVal Node As MSComctlLib.Node)
  
  ' Get object id from node information
  Dim nKey As Integer
  nKey = Int(CLng(Mid$(Node.Key, 2)))
  
  StatusBar1.SimpleText = "Type: " & Node.Tag & " - " & nKey & " - " & ship.objects(nKey).Parent.Value
  
  'If Node.Tag = 1 Then
    frmRenderOld.hwse3d.selectObject nKey
    'frmMain.my3d.SelectObject nKey
  'If Node.Tag = 1 Then getObjectDetails nKey
  getObjectDetails nKey
  'End If
  
End Sub

Private Sub getObjectDetails(objectID As Integer)

  With ship.mesh(ship.objects(objectID).refID).position
    frmObjectInfo.txtPosition(0) = .x
    frmObjectInfo.txtPosition(1) = .y
    frmObjectInfo.txtPosition(2) = .z
  End With

  With ship.mesh(ship.objects(objectID).refID).rotation
    frmObjectInfo.txtRotation(0) = .x
    frmObjectInfo.txtRotation(1) = .y
    frmObjectInfo.txtRotation(2) = .z
  End With

  With ship.mesh(ship.objects(objectID).refID).rotationWorld
    frmObjectInfo.txtRotation(3) = .x
    frmObjectInfo.txtRotation(4) = .y
    frmObjectInfo.txtRotation(5) = .z
  End With

End Sub

Private Sub treeHeirachy_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
  
  Randomize Timer
  
  If Drag_Timer = -1 Then
    Drag_Timer = Timer()
  End If
  
  Set nodX = treeHeirachy.SelectedItem ' Set the item being dragged.
  Set treeHeirachy.DropHighlight = Nothing

End Sub

Private Sub treeHeirachy_MouseMove(Button As Integer, Shift As Integer, x As Single, y As Single)
    
  If Button = vbLeftButton Then ' Signal a Drag operation.
    If treeHeirachy.Nodes.Count > 0 Then
      If (Timer - Drag_Timer) > 1# Then
        indrag = True ' Set the flag to true.
        treeHeirachy.DragIcon = frmHeirachy.Icon
        treeHeirachy.Drag vbBeginDrag ' Drag operation.
      End If
    End If
  End If

End Sub

Private Sub treeHeirachy_DragDrop(Source As Control, x As Single, y As Single)
    
  ' If user didn't move mouse or released it over an invalid area.
  If treeHeirachy.DropHighlight Is Nothing Then
    Drag_Timer = -1
    indrag = False
    Exit Sub
  Else
    Drag_Timer = -1
    ' Set dragged node's parent property to the target node.
    On Error GoTo checkerror ' To prevent circular errors.
    'Debug.Print nodX.Text & "/" & nodX.Key & "/" & nodX.Index
        
    If nodX.Text = treeHeirachy.DropHighlight Then
      indrag = False
      ' Release the DropHighlight reference.
      Set treeHeirachy.DropHighlight = Nothing
      Exit Sub
    End If
    
    Set nodX.Parent = treeHeirachy.DropHighlight
    'Debug.Print treeHeirachy.DropHighlight.Text & " is parent of " & nodX.Text
        
    Dim nKey As Integer
    nKey = Int(Val(Mid(nodX.Key, 2)))
        
    ' First we have to remove the existing Frame link
    ''LoadedPeo(nKey).Frame.GetParent.DeleteChild LoadedPeo(nKey).Frame
        
    ' Calculate the heirachy as we'll need it for
    ' adjusting the position of the object...
    ''calcHeirachy
    
    ''If ship.objects(nKey).Parent.Value = 0 Then
    ''  DX_meshframe.AddChild LoadedPeo(nKey).Frame
    ''Else
    ''  LoadedPeo(ship.PEO.object(nKey).Mother.Value - 1).Frame.AddChild LoadedPeo(nKey).Frame
    ''End If
        
    ''resolveMatrices ship.PEO.object(nKey).matrix, LoadedPeo(nKey).localmatrix
    
    ''Dim treeEuler As D3DVECTOR
        
    ''SMSetMeshPositionFromLocalMatrix LoadedPeo(nKey)
    ''treeEuler = getObjectEulersFromMatrix(nKey)
    ''SMRotateNumberedMeshQuat LoadedPeo(nKey), EulerToQuat(treeEuler)
    
    ' Release the DropHighlight reference.
    Set treeHeirachy.DropHighlight = Nothing
    indrag = False
    Exit Sub ' Exit if no errors occured.
  End If
 
checkerror:
    ' Define constants to represent Visual Basic errors code.
    Const CircularError = 35614
    If Err.Number = CircularError Then
        Dim Msg As String
        Msg = "A node can't be made a child of its own children."

        ' Display the message box with an exclamation mark icon
        ' and with OK and Cancel buttons.
        If MsgBox(Msg, vbExclamation & vbOKCancel) = vbOK Then
            ' Release the DropHighlight reference.
            indrag = False
            Set treeHeirachy.DropHighlight = Nothing
            Exit Sub
        End If
    End If

End Sub

Private Sub treeHeirachy_DragOver(Source As Control, x As Single, y As Single, state As Integer)
  Set treeHeirachy.DropHighlight = treeHeirachy.HitTest(x, y)
End Sub

