VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsShipAnimation"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Private zAnimInfo() As clsShipAnimInfo
Private numAnims As Long
Private zObject() As clsShipAnimObject
Private numObjs As Long

Public Sub AddAnimation(i As Integer)
  numAnims = numAnims + 1
  ReDim Preserve zAnimInfo(i)
  Set zAnimInfo(i) = New clsShipAnimInfo
End Sub

Public Property Get Animation(i As Integer) As clsShipAnimInfo
  If i > numAnims Then Exit Property
  Set Animation = zAnimInfo(i)
End Property

Public Function numAnimations() As Long
  numAnimations = numAnims
End Function

Public Sub AddObject(i As Integer)
  numObjs = numObjs + 1
  ReDim Preserve zObject(i)
  Set zObject(i) = New clsShipAnimObject
End Sub

Public Property Get Object(i As Integer) As clsShipAnimObject
  If i > numObjs Then Exit Property
  Set Object = zObject(i)
End Property

Public Function numObjects() As Long
  numObjects = numObjs
End Function

Private Sub Class_Terminate()
  Erase zAnimInfo
  Erase zObject
End Sub
